Bug 188248 - [PATCH] databases/cassandra 1.2.16
Summary: [PATCH] databases/cassandra 1.2.16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-04 03:20 UTC by wombat
Modified: 2014-06-05 09:17 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.50 KB, patch)
2014-04-04 03:20 UTC, wombat
no flags Details | Diff
cassandra.diff (4.91 KB, patch)
2014-04-05 04:20 UTC, wombat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description wombat 2014-04-04 03:20:00 UTC
 * Add UNLOGGED, COUNTER options to BATCH documentation (CASSANDRA-6816)
 * add extra SSL cipher suites (CASSANDRA-6613)
 * fix nodetool getsstables for blob PK (CASSANDRA-6803)
 * Add CMSClassUnloadingEnabled JVM option (CASSANDRA-6541)
 * Catch memtable flush exceptions during shutdown (CASSANDRA-6735)
 * Don't attempt cross-dc forwarding in mixed-version cluster with 1.1 
   (CASSANDRA-6732)
 * Fix broken streams when replacing with same IP (CASSANDRA-6622)
 * Fix upgradesstables NPE for non-CF-based indexes (CASSANDRA-6645)
 * Fix partition and range deletes not triggering flush (CASSANDRA-6655)
 * Fix mean cells and mean row size per sstable calculations (CASSANDRA-6667)
 * Compact hints after partial replay to clean out tombstones (CASSANDRA-6666)
 * Log USING TTL/TIMESTAMP in a counter update warning (CASSANDRA-6649)
 * Don't exchange schema between nodes with different versions (CASSANDRA-6695)
 * Use real node messaging versions for schema exchange decisions 
   (CASSANDRA-6700)
 * IN on the last clustering columns + ORDER BY DESC yield no results 
   (CASSANDRA-6701)
 * Fix SecondaryIndexManager#deleteFromIndexes() (CASSANDRA-6711)
 * Fix snapshot repair not snapshotting coordinator itself (CASSANDRA-6713)
 * Support negative timestamps for CQL3 dates in query string (CASSANDRA-6718)
 * Avoid NPEs when receiving table changes for an unknown keyspace (CASSANDRA-5631)
 * Fix bootstrapping when there is no schema (CASSANDRA-6685)
 * Fix truncating compression metadata (CASSANDRA-6791)
 * Fix SSTable not released if stream session fails before starts (CASSANDRA-6818)

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-04-04 03:20:04 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-04-04 03:20:04 UTC
Maintainer of databases/cassandra,

Please note that PR ports/188248 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188248

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 wombat 2014-04-04 14:42:12 UTC
This patch does not include a fix for the issues raised in pr-187693. =
Please hold off while I look into including it into this patch.=
Comment 4 wombat 2014-04-05 04:19:06 UTC
OK, I fixed the issues raised in PR-187693. Should be all good now. =
Please close PR-187693 once this is approved.=20

I also noticed JNA is not building.=
Comment 5 wombat 2014-04-05 04:20:32 UTC
And now with the patch file...
Comment 6 Radim Kolar 2014-04-07 06:59:44 UTC
i approve this patch. It replaces ports/187693 and ports/188305 		 	   		  =
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2014-04-15 02:43:12 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 8 Steve Wills freebsd_committer 2014-05-04 15:55:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 9 commit-hook freebsd_committer 2014-06-05 09:17:53 UTC
A commit references this bug:

Author: miwi
Date: Thu Jun  5 09:17:12 UTC 2014
New revision: 356617
URL: http://svnweb.freebsd.org/changeset/ports/356617

Log:
  - Update to 1.2.16

  PR:		188248

Changes:
  head/databases/cassandra/Makefile
  head/databases/cassandra/distinfo
  head/databases/cassandra/pkg-plist